test_ostream_dev Namespace Reference

## Classes

class | Ostream_dev_impl
class | Ostream_vdev_impl
class | Tostream_Idev
class | Tostream_Vdev

## Typedefs

using | test_data_t = uint8_t

## Functions

| TEST_F (Tostream_Idev, Construction)
| TEST_F (Tostream_Idev, Api)
| TEST_F (Tostream_Idev, streamOperator)
| TEST_F (Tostream_Idev, Iterator1)
| TEST_F (Tostream_Idev, Iterator2)
| TEST_F (Tostream_Vdev, virtualApi)
| TEST_F (Tostream_Vdev, virtualStream)
| TEST_F (Tostream_Vdev, virtualIterator)

## Variables

test_data_t | Idata = 42
test_data_t & | IdataR = Idata
test_data_t && | IdataRR = 0xAA
test_data_t | Ibuffer [] = {1, 2, 3, 4, 5, 6, 7, 8, 9, 10}

## Typedef Documentation

## test_data_t

using test_ostream_dev::test_data_t = typedef uint8_t

Definition at line 29 of file test_ostream_dev.cpp.

## Function Documentation

## TEST_F() [1/8]

test_ostream_dev::TEST_F | ( | Tostream_Idev | ,
|  | Construction |
| ) |  |

Definition at line 109 of file test_ostream_dev.cpp.

## TEST_F() [2/8]

test_ostream_dev::TEST_F | ( | Tostream_Idev | ,
|  | Api |
| ) |  |

Definition at line 113 of file test_ostream_dev.cpp.

## TEST_F() [3/8]

test_ostream_dev::TEST_F | ( | Tostream_Idev | ,
|  | streamOperator |
| ) |  |

Definition at line 138 of file test_ostream_dev.cpp.

## TEST_F() [4/8]

test_ostream_dev::TEST_F | ( | Tostream_Idev | ,
|  | Iterator1 |
| ) |  |

Definition at line 169 of file test_ostream_dev.cpp.

## TEST_F() [5/8]

test_ostream_dev::TEST_F | ( | Tostream_Idev | ,
|  | Iterator2 |
| ) |  |

Definition at line 198 of file test_ostream_dev.cpp.

## TEST_F() [6/8]

test_ostream_dev::TEST_F | ( | Tostream_Vdev | ,
|  | virtualApi |
| ) |  |

Definition at line 207 of file test_ostream_dev.cpp.

## TEST_F() [7/8]

test_ostream_dev::TEST_F | ( | Tostream_Vdev | ,
|  | virtualStream |
| ) |  |

Definition at line 221 of file test_ostream_dev.cpp.

## TEST_F() [8/8]

test_ostream_dev::TEST_F | ( | Tostream_Vdev | ,
|  | virtualIterator |
| ) |  |

Definition at line 246 of file test_ostream_dev.cpp.

## Variable Documentation

## Ibuffer

test_data_t test_ostream_dev::Ibuffer[] = {1, 2, 3, 4, 5, 6, 7, 8, 9, 10}

Definition at line 37 of file test_ostream_dev.cpp.

## Idata

test_data_t test_ostream_dev::Idata = 42

Definition at line 34 of file test_ostream_dev.cpp.

## IdataR

test_data_t& test_ostream_dev::IdataR = Idata

Definition at line 35 of file test_ostream_dev.cpp.

## IdataRR

test_data_t&& test_ostream_dev::IdataRR = 0xAA

Definition at line 36 of file test_ostream_dev.cpp.